import { getActivationLog as universalGetActivationLog, listActivationLogs as universalListActivationLogs, searchActivationLogsByPayloadPiiValue as universalSearchActivationLogsByPayloadPiiValue, } from './automations-activation-logs-v1-activation-log-activation-log.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/automations-activation-log' };
export function getActivationLog(httpClient) {
    return (activationId) => universalGetActivationLog(activationId, 
    // @ts-ignore
    { httpClient });
}
export function listActivationLogs(httpClient) {
    return (options) => universalListActivationLogs(options, 
    // @ts-ignore
    { httpClient });
}
export function searchActivationLogsByPayloadPiiValue(httpClient) {
    return (value, options) => universalSearchActivationLogsByPayloadPiiValue(value, options, 
    // @ts-ignore
    { httpClient });
}
export { AutomationConfigurationStatus, CancellationReason, Domain, ErrorReason, FilterBy, IdentifierType, Operator, Origin, SkipReason, Status, Target, TimeUnit, Type, WarningReason, WebhookIdentityType, } from './automations-activation-logs-v1-activation-log-activation-log.universal.js';
//# sourceMappingURL=automations-activation-logs-v1-activation-log-activation-log.public.js.map