import { RequestOptionsFactory } from '@wix/sdk-types';
/** Get activation log by ID */
export declare function getActivationLog(payload: object): RequestOptionsFactory<any>;
/** List activation logs */
export declare function listActivationLogs(payload: object): RequestOptionsFactory<any>;
/**
 * Search activation logs by payload pii value
 * Entire field value match is supported
 * Supported are emails, phones and guids
 */
export declare function searchActivationLogsByPayloadPiiValue(payload: object): RequestOptionsFactory<any>;
