import * as ambassadorWixAutomationsActivationLogsV1ActivationLogTypes from './automations-activation-logs-v1-activation-log-activation-log.types.js';
import * as ambassadorWixAutomationsActivationLogsV1ActivationLogUniversalTypes from './automations-activation-logs-v1-activation-log-activation-log.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function getActivationLog(): __PublicMethodMetaInfo<'GET', {
    activationId: string;
}, ambassadorWixAutomationsActivationLogsV1ActivationLogUniversalTypes.GetActivationLogRequest, ambassadorWixAutomationsActivationLogsV1ActivationLogTypes.GetActivationLogRequest, ambassadorWixAutomationsActivationLogsV1ActivationLogUniversalTypes.GetActivationLogResponse & ambassadorWixAutomationsActivationLogsV1ActivationLogUniversalTypes.GetActivationLogResponseNonNullableFields, ambassadorWixAutomationsActivationLogsV1ActivationLogTypes.GetActivationLogResponse & ambassadorWixAutomationsActivationLogsV1ActivationLogTypes.GetActivationLogResponseNonNullableFields>;
export declare function listActivationLogs(): __PublicMethodMetaInfo<'GET', {}, ambassadorWixAutomationsActivationLogsV1ActivationLogUniversalTypes.ListActivationLogsRequest, ambassadorWixAutomationsActivationLogsV1ActivationLogTypes.ListActivationLogsRequest, ambassadorWixAutomationsActivationLogsV1ActivationLogUniversalTypes.ListActivationLogsResponse & ambassadorWixAutomationsActivationLogsV1ActivationLogUniversalTypes.ListActivationLogsResponseNonNullableFields, ambassadorWixAutomationsActivationLogsV1ActivationLogTypes.ListActivationLogsResponse & ambassadorWixAutomationsActivationLogsV1ActivationLogTypes.ListActivationLogsResponseNonNullableFields>;
export declare function searchActivationLogsByPayloadPiiValue(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixAutomationsActivationLogsV1ActivationLogUniversalTypes.SearchActivationLogsByPayloadPiiValueRequest, ambassadorWixAutomationsActivationLogsV1ActivationLogTypes.SearchActivationLogsByPayloadPiiValueRequest, ambassadorWixAutomationsActivationLogsV1ActivationLogUniversalTypes.SearchActivationLogsByPayloadPiiValueResponse & ambassadorWixAutomationsActivationLogsV1ActivationLogUniversalTypes.SearchActivationLogsByPayloadPiiValueResponseNonNullableFields, ambassadorWixAutomationsActivationLogsV1ActivationLogTypes.SearchActivationLogsByPayloadPiiValueResponse & ambassadorWixAutomationsActivationLogsV1ActivationLogTypes.SearchActivationLogsByPayloadPiiValueResponseNonNullableFields>;
