"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.WarningReason = exports.Type = exports.TimeUnit = exports.Target = exports.Status = exports.SkipReason = exports.Origin = exports.Operator = exports.IdentifierType = exports.FilterBy = exports.ErrorReason = exports.Domain = exports.CancellationReason = exports.AutomationConfigurationStatus = exports.searchActivationLogsByPayloadPiiValue = exports.listActivationLogs = exports.getActivationLog = exports.__metadata = void 0;
const automations_activation_logs_v1_activation_log_activation_log_universal_js_1 = require("./automations-activation-logs-v1-activation-log-activation-log.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/automations-activation-log' };
function getActivationLog(httpClient) {
    return (activationId) => (0, automations_activation_logs_v1_activation_log_activation_log_universal_js_1.getActivationLog)(activationId, 
    // @ts-ignore
    { httpClient });
}
exports.getActivationLog = getActivationLog;
function listActivationLogs(httpClient) {
    return (options) => (0, automations_activation_logs_v1_activation_log_activation_log_universal_js_1.listActivationLogs)(options, 
    // @ts-ignore
    { httpClient });
}
exports.listActivationLogs = listActivationLogs;
function searchActivationLogsByPayloadPiiValue(httpClient) {
    return (value, options) => (0, automations_activation_logs_v1_activation_log_activation_log_universal_js_1.searchActivationLogsByPayloadPiiValue)(value, options, 
    // @ts-ignore
    { httpClient });
}
exports.searchActivationLogsByPayloadPiiValue = searchActivationLogsByPayloadPiiValue;
var automations_activation_logs_v1_activation_log_activation_log_universal_js_2 = require("./automations-activation-logs-v1-activation-log-activation-log.universal.js");
Object.defineProperty(exports, "AutomationConfigurationStatus", { enumerable: true, get: function () { return automations_activation_logs_v1_activation_log_activation_log_universal_js_2.AutomationConfigurationStatus; } });
Object.defineProperty(exports, "CancellationReason", { enumerable: true, get: function () { return automations_activation_logs_v1_activation_log_activation_log_universal_js_2.CancellationReason; } });
Object.defineProperty(exports, "Domain", { enumerable: true, get: function () { return automations_activation_logs_v1_activation_log_activation_log_universal_js_2.Domain; } });
Object.defineProperty(exports, "ErrorReason", { enumerable: true, get: function () { return automations_activation_logs_v1_activation_log_activation_log_universal_js_2.ErrorReason; } });
Object.defineProperty(exports, "FilterBy", { enumerable: true, get: function () { return automations_activation_logs_v1_activation_log_activation_log_universal_js_2.FilterBy; } });
Object.defineProperty(exports, "IdentifierType", { enumerable: true, get: function () { return automations_activation_logs_v1_activation_log_activation_log_universal_js_2.IdentifierType; } });
Object.defineProperty(exports, "Operator", { enumerable: true, get: function () { return automations_activation_logs_v1_activation_log_activation_log_universal_js_2.Operator; } });
Object.defineProperty(exports, "Origin", { enumerable: true, get: function () { return automations_activation_logs_v1_activation_log_activation_log_universal_js_2.Origin; } });
Object.defineProperty(exports, "SkipReason", { enumerable: true, get: function () { return automations_activation_logs_v1_activation_log_activation_log_universal_js_2.SkipReason; } });
Object.defineProperty(exports, "Status", { enumerable: true, get: function () { return automations_activation_logs_v1_activation_log_activation_log_universal_js_2.Status; } });
Object.defineProperty(exports, "Target", { enumerable: true, get: function () { return automations_activation_logs_v1_activation_log_activation_log_universal_js_2.Target; } });
Object.defineProperty(exports, "TimeUnit", { enumerable: true, get: function () { return automations_activation_logs_v1_activation_log_activation_log_universal_js_2.TimeUnit; } });
Object.defineProperty(exports, "Type", { enumerable: true, get: function () { return automations_activation_logs_v1_activation_log_activation_log_universal_js_2.Type; } });
Object.defineProperty(exports, "WarningReason", { enumerable: true, get: function () { return automations_activation_logs_v1_activation_log_activation_log_universal_js_2.WarningReason; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return automations_activation_logs_v1_activation_log_activation_log_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=automations-activation-logs-v1-activation-log-activation-log.public.js.map